# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-flask-sqlalchemy
%global mod_name Flask-SQLAlchemy

Name:           python-module-flask-sqlalchemy
Version:        0.16
Release:        alt1_2
Summary:        Adds SQLAlchemy support to Flask application

Group:          Development/Python
License:        BSD
URL:            http://github.com/mitsuhiko/flask-sqlalchemy
Source0:        http://pypi.python.org/packages/source/F/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-flask
Source44: import.info


%description
Flask-SQLAlchemy is an extension for Flask that adds support for
SQLAlchemy to your application. It aims to simplify using SQLAlchemy with 
Flask by providing useful defaults and extra helpers that make it easier 
to accomplish common tasks.

%prep
%setup -q -n %{mod_name}-%{version}
rm -f docs/_static/.DS_Store
rm -f docs/.DS_Store
rm -f docs/_themes/.gitignore
chmod -x docs/_static/flask-sqlalchemy-small.png

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc docs/ README CHANGES LICENSE PKG-INFO

%{python_sitelibdir_noarch}/*.egg-info/
%{python_sitelibdir_noarch}/flask_sqlalchemy.py*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1_2
- update to new release by fcimport

* Sun Jan 06 2013 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1_1
- initial fc import

